Create a 10DLC campaign under an existing brand. The campaign starts in draft status. Submit it for carrier review using the submit endpoint.
curl --request POST \
--url https://api.zavu.dev/v1/10dlc/campaigns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"brandId": "brand_abc123",
"name": "Order Notifications",
"useCase": "ACCOUNT_NOTIFICATION",
"description": "Send order status updates and shipping notifications to customers who opted in.",
"sampleMessages": [
"Hi {{name}}, your order #{{order_id}} has shipped! Track it at {{url}}",
"Your order #{{order_id}} has been delivered. Thank you for your purchase!"
],
"subscriberOptIn": true,
"subscriberOptOut": true,
"subscriberHelp": true,
"numberPooling": false,
"directLending": false,
"embeddedLink": true,
"embeddedPhone": false,
"affiliateMarketing": false,
"ageGated": false
}
'{
"campaign": {
"id": "<string>",
"brandId": "<string>",
"name": "Order Notifications",
"useCase": "ACCOUNT_NOTIFICATION",
"description": "<string>",
"sampleMessages": [
"<string>"
],
"subscriberOptIn": true,
"subscriberOptOut": true,
"subscriberHelp": true,
"numberPooling": true,
"directLending": true,
"embeddedLink": true,
"embeddedPhone": true,
"affiliateMarketing": true,
"ageGated": true,
"status": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"subUseCases": [
"<string>"
],
"messageFlow": "<string>",
"helpMessage": "<string>",
"optInKeywords": [
"<string>"
],
"optOutKeywords": [
"<string>"
],
"dailyLimit": 123,
"failureReason": "<string>",
"registrationCostCents": 123,
"monthlyFeeCents": 123,
"submittedAt": "2023-11-07T05:31:56Z",
"approvedAt": "2023-11-07T05:31:56Z"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the brand to create this campaign under.
100Campaign use case (e.g., ACCOUNT_NOTIFICATION, MARKETING, 2FA).
5040961 - 5 elements102420485005050Campaign created in draft status.
Show child attributes
curl --request POST \
--url https://api.zavu.dev/v1/10dlc/campaigns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"brandId": "brand_abc123",
"name": "Order Notifications",
"useCase": "ACCOUNT_NOTIFICATION",
"description": "Send order status updates and shipping notifications to customers who opted in.",
"sampleMessages": [
"Hi {{name}}, your order #{{order_id}} has shipped! Track it at {{url}}",
"Your order #{{order_id}} has been delivered. Thank you for your purchase!"
],
"subscriberOptIn": true,
"subscriberOptOut": true,
"subscriberHelp": true,
"numberPooling": false,
"directLending": false,
"embeddedLink": true,
"embeddedPhone": false,
"affiliateMarketing": false,
"ageGated": false
}
'{
"campaign": {
"id": "<string>",
"brandId": "<string>",
"name": "Order Notifications",
"useCase": "ACCOUNT_NOTIFICATION",
"description": "<string>",
"sampleMessages": [
"<string>"
],
"subscriberOptIn": true,
"subscriberOptOut": true,
"subscriberHelp": true,
"numberPooling": true,
"directLending": true,
"embeddedLink": true,
"embeddedPhone": true,
"affiliateMarketing": true,
"ageGated": true,
"status": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"subUseCases": [
"<string>"
],
"messageFlow": "<string>",
"helpMessage": "<string>",
"optInKeywords": [
"<string>"
],
"optOutKeywords": [
"<string>"
],
"dailyLimit": 123,
"failureReason": "<string>",
"registrationCostCents": 123,
"monthlyFeeCents": 123,
"submittedAt": "2023-11-07T05:31:56Z",
"approvedAt": "2023-11-07T05:31:56Z"
}
}